---
title: "Triggers the import of ratings from the reactions API for a product."
url: "https://developer.migros.ch/apis/triggers-8/versions/8e2720b4-0e30-4553-81ff-aa471a463bcd/operations/trigger-ratings-import"
---

> Full API specification: https://developer.migros.ch/apis/triggers-8/versions/8e2720b4-0e30-4553-81ff-aa471a463bcd.md

# Triggers the import of ratings from the reactions API for a product.

`POST` `/migros/products/v8/trigger/reactions/ratings/product/{product_id}`

Operation ID: `trigger-ratings-import`

After the import, the product is queued for partial update (ratings field only). This is an internal route and doesn't necessarily follow API versioning.

## Path parameters

- `product_id` (string, required) - ID of a base product to trigger the import for

## Responses

- `204` - Returned when successful

## OpenAPI definition

```yaml
openapi: 3.0.0
info:
  title: Triggers
  version: "8"
servers:
  - description: Public Kong Gateway URL
    url: https://api.migros.ch
paths:
  /migros/products/v8/trigger/reactions/ratings/product/{product_id}:
    post:
      description: >-
        After the import, the product is queued for partial update (ratings
        field only).


        This is an internal route and doesn't necessarily follow API versioning.
      operationId: trigger-ratings-import
      parameters:
        - description: ID of a base product to trigger the import for
          in: path
          name: product_id
          required: true
          schema:
            type: string
      responses:
        "204":
          description: Returned when successful
      summary: Triggers the import of ratings from the reactions API for a product.
      tags:
        - Triggers
security:
  - Kong-Api-Key: []
    basicAuth: []
components:
  securitySchemes:
    Kong-Api-Key:
      description: Kong key-auth authentication
      in: header
      name: X-Api-Key
      type: apiKey
    basicAuth:
      scheme: basic
      type: http
```
